FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::parser::OmpClause Struct Reference

## Public Member Functions
| UNION_CLASS_BOILERPLATE (OmpClause)
| EMPTY_CLASS (Inbranch)
| EMPTY_CLASS (Mergeable)
| EMPTY_CLASS (Nogroup)
| EMPTY_CLASS (Notinbranch)
| EMPTY_CLASS (Simd)
| EMPTY_CLASS (Threads)
| EMPTY_CLASS (Untied)
| WRAPPER_CLASS (Collapse, ScalarIntConstantExpr)
| WRAPPER_CLASS (Copyin, OmpObjectList)
| WRAPPER_CLASS (Copyprivate, OmpObjectList)
| WRAPPER_CLASS (Device, ScalarIntExpr)
| WRAPPER_CLASS (DistSchedule, std::optional< ScalarIntExpr >)
| WRAPPER_CLASS (Final, ScalarLogicalExpr)
| WRAPPER_CLASS (Firstprivate, OmpObjectList)
| WRAPPER_CLASS (From, OmpObjectList)
| WRAPPER_CLASS (Grainsize, ScalarIntExpr)
| WRAPPER_CLASS (IsDevicePtr, std::list< Name >)
| WRAPPER_CLASS (Lastprivate, OmpObjectList)
| WRAPPER_CLASS (Link, OmpObjectList)
| WRAPPER_CLASS (NumTasks, ScalarIntExpr)
| WRAPPER_CLASS (NumTeams, ScalarIntExpr)
| WRAPPER_CLASS (NumThreads, ScalarIntExpr)
| WRAPPER_CLASS (Ordered, std::optional< ScalarIntConstantExpr >)
| WRAPPER_CLASS (Priority, ScalarIntExpr)
| WRAPPER_CLASS (Private, OmpObjectList)
| WRAPPER_CLASS (Safelen, ScalarIntConstantExpr)
| WRAPPER_CLASS (Shared, OmpObjectList)
| WRAPPER_CLASS (Simdlen, ScalarIntConstantExpr)
| WRAPPER_CLASS (ThreadLimit, ScalarIntExpr)
| WRAPPER_CLASS (To, OmpObjectList)
| WRAPPER_CLASS (Uniform, std::list< Name >)
| WRAPPER_CLASS (UseDevicePtr, std::list< Name >)

## Public Attributes
CharBlock | source
std::variant< Inbranch, Mergeable, Nogroup, Notinbranch, OmpNowait, Untied, Threads, Simd, Collapse, Copyin, Copyprivate, Device, DistSchedule, Final, Firstprivate, From, Grainsize, Lastprivate, NumTasks, NumTeams, NumThreads, Ordered, Priority, Private, Safelen, Shared, Simdlen, ThreadLimit, To, Link, Uniform, UseDevicePtr, IsDevicePtr, OmpAlignedClause, OmpDefaultClause, OmpDefaultmapClause, OmpDependClause, OmpIfClause, OmpLinearClause, OmpMapClause, OmpProcBindClause, OmpReductionClause, OmpScheduleClause > | u

The documentation for this struct was generated from the following file:

- include/flang/Parser/parse-tree.h